%define upstream_name    Role-REST-Client
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    REST Client Role
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Role/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Serializer::JSON)
BuildRequires: perl(Data::Serializer::Raw)
BuildRequires: perl(Data::Serializer::XML::Simple)
BuildRequires: perl(Data::Serializer::YAML)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(HTTP::Thin)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX::HandlesVia)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(Types::Standard)
BuildRequires: perl(URI::Escape::XS)
BuildRequires: perl(XML::Simple)
BuildRequires: perl(YAML)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This REST Client role makes REST connectivity easy.

Role::REST::Client will handle encoding and decoding when using the HTTP
verbs.

	GET
	PUT
	POST
	DELETE
	OPTIONS
	HEAD

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE INSTALL META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.180.0-7.mga10
+ Revision: 2207949
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.180.0-6.mga9
+ Revision: 1817350
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-5.mga8
+ Revision: 1497055
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-4.mga7
+ Revision: 1270950
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1032901
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 951345
- Mageia 6 Mass Rebuild

* Wed Dec 24 2014 buchan <buchan> 0.180.0-1.mga5
+ Revision: 805241
- imported package perl-Role-REST-Client


* Wed Dec 24 2014 Buchan Milne <buchan> 0.18-1mga
- initial mageia release, generated with cpan2dist
